//==============================================================================
// aq_class_cfg_list.h- 
//
// 
// 04 June 2001 Version 1.0
//
// Purpose:
// 	This is the configfile configuration list. Only keywords defined here may
//	appear in configuration file.
//
//==============================================================================

#if !defined(AQUA_CLASS_CFG_LIST)
#define      AQUA_CLASS_CFG_LIST

#include "aq_class_configurationlist.h"


//------------------------------------------------------------------------------
// cfg_list
//
//------------------------------------------------------------------------------

class cfg_list : public configuration_list
{
public:
    cfg_list()
    {
	define( "-version", "1.0");		// software version number
 	define( "-station", "GSFC");		// station generating data

    	define( "-packetfile"  );		// input packet file name
	define( "-noradfile" );			// input NORAD file name

	define( "-ephemerisfile" );		// output ephemeris file name
	define( "-attitudefile"  );		// output attitude file name

	define( "-noradsatname", "AQUA");	// Sat. name in NORAD file
	define( "-sdpsatname", "EOSPM1");	// Sat. name in output files

	define( "-listconfig", "no" );		// list interpreted configuration file

	define( "-pkt_offset", "0"  );		// packet start in input packet file
	define( "-pkt_count" , "0"  );		// no of packets to process. all if 0.

	define( "-diag_1", "no" );		// list beg/end packets, norad elements
	define( "-diag_2", "no" );		// list satpass parameters
	define( "-diag_3", "no" );		// 

	define( "-debug_1", "no");		// list satpasses internal state
 	define( "-debug_2", "no");
 	define( "-debug_3", "no");
    }
};

#endif









