//==============================================================================
// aq_class_commonSDPheader.h
//
// 
// 18 May 2001 Version 1.0
//
// Purpose:
//     This class defines portion of SDP Header Standard Sructure common to both
//     ephemeris and attitude files.
//
// Note:
//	See SDP Toolkit 333-CD-600-001 Appendix L, Ephemeris and Attitude File
//	Formats.
//
//==============================================================================

#if !defined( AQ_CLASS_COMMONSDPHEADER)
#define       AQ_CLASS_COMMONSDPHEADER

#include "aq_typdef_header.h"
#include "aq_class_storebase.h"

class commonSDPheader : public storebase
{
    char  *ptr;

public:
    commonSDPheader();
						// enter into record:
    commonSDPheader& SpacecraftID( const string& Id );
    commonSDPheader& Source (   cstring& datasource );
    commonSDPheader& Version(   cstring& version );
    commonSDPheader& TimeRange( double startTime, double endTime);
    commonSDPheader& Interval(  float interval );
    commonSDPheader& NoRecords( uint  recordCount );

						// read from record
    string SpacecraftID() const; 
    string Source()  const;
    string Version() const; 

    string TimeRange() const;
    double StartTime() const;
    double StopTime() const;

    float  Interval()  const;
    uint   NoURefs()   const;
    uint   NoRecords() const;
};

#endif

