//==============================================================================
// aq_class_configurationfile.c - 
//
// 
// 20 Jul 2000 Version 1.0
//
// The configuration file contains parameters to be changed operationally 
// without recompiling program. 
//
// Configuration file contains ASCII lines delimited by '\n'.  Each line holds a
// keyword followed by a value.   The keyword may not contain blanks.  The value
// begins with 1st non-blank space after the keyword and ends with last 
// non-blank.
//
// example:
//
//	keyword   this is the value  '\n'
//
//==============================================================================

#include "aq_class_configurationfile.h"
   

//page
//-----------------------------------------------------------------------------
// Constructor
//
//-----------------------------------------------------------------------------

configurationfile::configurationfile( const string& fileName ) 
	: ifstream( fileName.c_str() ), basefile(fileName, "configuration") {}


//-----------------------------------------------------------------------------
// readline
//
//-----------------------------------------------------------------------------

configurationfile& configurationfile::readline( string& keyword, string& value)
{
    (*this)>> keyword;					// read keyword
    std::getline( *this, value, '\n' );			// read value

    size_t pval =  value.find_first_not_of("\t ");	// start of value

    if( pval == (size_t)(-1) ) 				// value empty
	value = "";
    else						// trim lead and trail
        value = value.substr( pval, value.find_last_not_of("\t ")-pval+1 );

    return *this;
}

