//==============================================================================
// aq_class_configurationlist.h
//
// 
// 01 June 2001 Version 1.0
//
// This class contains a list of keyword and value pairs. 
// Keywords must first be defined once and only once. 
//
//==============================================================================

#if !defined(AQ_CLASS_CONFIGLIST)
#define      AQ_CLASS_CONFIGLIST

#include "aq_typdef_header.h"
#include <assert.h>
#include <stdlib.h>     

#include <map>
#include <string>
 using namespace std;

typedef  map<string,string>      cfg_map;
typedef  cfg_map::const_iterator cfg_iterator;


//------------------------------------------------------------------------------
// configuration_list class
//
//------------------------------------------------------------------------------

class configuration_list : private cfg_map
{
public:
    configuration_list() {}
   
    void    define( cstring& keyword, cstring  defaultValue = "" );
    bool    setvalue( cstring& keyword,  cstring& value );	// true if ok
    string  getvalue( cstring& keyword ) const;

    cfg_iterator begin() const;
    cfg_iterator end() const;

    virtual ~configuration_list() { } 
};

ostream& operator<<( ostream& os, const configuration_list& list );

#endif
