//==============================================================================
// aq_class_ephemerisrecord.h
//
// 
// 17 May 2001 Version 1.0
//
// Purpose:
// 	This class holds ephemeris data records to be written.
//
// Note:
//	See SDP Toolkit 333-CD-600-001 Appendix L, Ephemeris and Attitude File
//	Formats.
//
// 	General format:
//	SDP Header
//	ephemeris subheader
//	ephemeris records
//	metadata  records
//
//==============================================================================


#if !defined(AQ_CLASS_EPHEMERISRECORD)
#define      AQ_CLASS_EPHEMERISRECORD

#include <string.h>
#include <assert.h>

#include "aq_class_storebase.h"
#include "aq_typdef_header.h"


class ephemerisrecord : public storebase
{
public:
    ephemerisrecord();
    ephemerisrecord&  time( double JDtime );
    ephemerisrecord&  Position( carray& pos );
    ephemerisrecord&  Velocity( carray& vel );
    ephemerisrecord&  QaFlag( uint flags );

    double time()     const;
    carray Position() const;
    carray Velocity() const;
    uint   QaFlag()   const;

    const char* Spares() const;		// diagnostics only
    char*  Spares();
};

#endif



