//==============================================================================
// aq_class_ephemerissubheader.h
//
// 
// 18 May 2001 Version 1.0
//
// Purpose:
// 	This class defines portion of SDP Header Standard Sructure specific to 
// 	the ephemeris header.
//
// Note:
// 	General format:
//	SDP Header
//	ephemeris subheader
//	ephemeris records
//	metadata  records
//
//	See SDP Toolkit 333-CD-600-001 Appendix L, Ephemeris and Attitude File
//	Formats.

//
//==============================================================================

#if !defined( AQ_CLASS_EPHEMERISSUBHEADER)
#define       AQ_CLASS_EPHEMERISSUBHEADER

#include "aq_typdef_header.h"
#include "aq_class_storebase.h"


class ephemerissubheader : public storebase
{
    char* ptr;

 public:
    ephemerissubheader();
							//input
    ephemerissubheader& Orbits( uint begOrbit, uint endOrbit, uint orbitCnt );
    ephemerissubheader& RefFrame( const string& rframe );
    ephemerissubheader& KeplerElements( carray kepler );
    ephemerissubheader& EpochTimeTAI( double time );

							// output diagnostic
    vector<uint> Orbits() const;
    string RefFrame() const;
    carray KeplerElements() const;
    double EpochTimeTAI() const;

    vector<float> qaParameters() const;
    vector<float> qaStatistics() const;
};

#endif

