//==============================================================================
// aq_class_nevilleinterpolater_2.c
//
// 
// 31 Dec 2001 Version 1.0
//
// Description:
// 	Implement Neville's recursive interpolater with a cumulative list.
//	See  "aq_class_nevilleinterpolater.h" for more details.
//
// Note: 
// 	requires aq_class_nevilleinterpolater.h
//
//==============================================================================

#include "aq_class_nevilleinterpolater_2.h"


//-----------------------------------------------------------------------------
// Constructor
//
//-----------------------------------------------------------------------------

nevilleinterpolater_2::nevilleinterpolater_2( ) : nev( &xylist )
{}


//-----------------------------------------------------------------------------
// addtolist
//
//-----------------------------------------------------------------------------

nevilleinterpolater_2&  nevilleinterpolater_2::addtolist( double x, double y )
{
    xylist.push_back( make_pair(x,y) );
    return *this;
}


//page
//-----------------------------------------------------------------------------
// clearlist
//
//-----------------------------------------------------------------------------

void nevilleinterpolater_2::clearlist()
{
    xylist.clear();
}



//-----------------------------------------------------------------------------
// interpolate
//
//-----------------------------------------------------------------------------

double nevilleinterpolater_2::interpolate( double x) const
{
    return  nev.interpolate( x );
}


//-----------------------------------------------------------------------------
// list size
//
//-----------------------------------------------------------------------------

size_t nevilleinterpolater_2::listsize() const
{
    return xylist.size();
}

