//=============================================================================
// aq_class_orbitstuff.c
//
//  
// 23 Nov 2001 Version 1.0
//
// Purpose:
// Store several items required for each orbit.
//
// Note:
// 	Ascending and Descending Node Times are stored only if pass intersects
//	respective node. 
//
//	beginpkt and endTime should always contain a value
//
//	ostream output is largely intended for debug
//
//=============================================================================

#include "aq_class_orbitstuff.h"



ostream& operator<<(ostream& os, const orbitstuff& orbit)
{
    os<<"Begin packet"<<orbit.beginpkt<<endl;

    os.unsetf( ios::showpos );
    os.precision(8);

    os<<"Ascending  Node Time = "<<orbit.ascendingTime
      <<"\nDescending Node Time = "<<orbit.descendingTime
      <<"\nOrbit Ending Time    = "<<orbit.endTime
      <<endl;
      
    return os;
}
