//=============================================================================
// aq_class_orbitstuff.h
//
//  
// 23 Nov 2001 Version 1.0
//
// Purpose:
// Store several items required for each orbit.
//
// Note:
// 	Ascending and Descending Node Times are stored only if pass intersects
//	respective node. 
//
//	beginpkt and endTime should always contain a value
//
//=============================================================================

#if !defined(AQ_CLASS_ORBITSTUFF)
#define      AQ_CLASS_ORBITSTUFF

#include <iostream>
#include "aq_class_gbadpacket.h"


struct orbitstuff
{
    gbadpacket beginpkt;	// first packet in orbit
    double     endTime ;	// last packet time

    double     ascendingTime;	// if pass crosses, ascending  node time
    double     descendingTime;	// and descending node time

    orbitstuff()
    {
	ascendingTime  = 0.0;
	descendingTime = 0.0;
    }
};

				// This is for debug
ostream& operator<<(ostream& os, const orbitstuff& orbit);

#endif
