//==============================================================================
// aq_class_packet.h
//
// 
// 17 May 2001 Version 1.0
//
// This is intended as a base class for CCSDS packets
//
//==============================================================================

#if !defined(AQ_CLASS_PACKET)
#define      AQ_CLASS_PACKET

#include "aq_typdef_header.h"
#include "aq_class_storebase.h"


class packet : public storebase
{
public:
    packet(size_t size);	// size of packet excluding CCSDS header

				// From CCSDS Header:
    short  PktSize()  const;	// 	data packet size 
    short  Sequence() const;  	// 	packet sequence number
    short  APID() const;	// 	Application ID
    short  Version()  const;	//	Version number

    virtual
    istream& ReadPkt(istream& is);

				// hex packet dump for debug
    void   Dump( ostream& os, size_t beg=0, size_t end=0 ); 
 
    virtual ~packet() { }
};

ostream&  operator<<( ostream& os, const packet& pkt);

#endif



