//==============================================================================
// aq_proc_euleranglesinorbitalframe.h
//
// 
// 09 Nov 2001 Version 1.0
//
// Purpose:
//	Compute Euler Angles in Orbital Coordinates.
//
// Method:
//	Compute rotation from inertial to orbital coordinates (Aio) from 
//	position and velocity. 
//
//	Compute rotation from spacecraft to inertial coordinates from quaternion.
//
//	Assume small angle approximation; euler angles are off-diagonal elements.
// 
// NOTE:
//	Selection of elements must consider that the required matrix is Aos not 
//	Aso.  CURRENT SELECTION IS ARBITRARY. 
//
//==============================================================================


#if !defined(AQ_PROC_EULERANGLESINORBITALFRAME)
#define      AQ_PROC_EULERANGLESINORBITALFRAME

#include "aq_typdef_header.h"
#include "aq_class_gbadpacket.h"


carray  EulerAnglesInOrbitalFrame( const gbadpacket& pkt );

#endif

