//==============================================================================
// aq_proc_fileopencheck.h
//
// 
// 17 May 2001 Version 1.0
//
// Check that a file has opened successfully. If not, then print file name and
// type and terminate.
//
// Note:
//    file must be derived from basefile
//
//==============================================================================


#if !defined(AQ_PROC_FILEOPENCHECK)
#define      AQ_PROC_FILEOPENCHECK

#include <string>
 using namespace std;


//------------------------------------------------------------------------
// FileOpenCheck
//
//------------------------------------------------------------------------

template<class T> void FileOpenCheck( T& file)
{
    if( !file )
    {
	string subtext = " no file name given";

	if( file.GetFileName().find_first_not_of("\t ") != (size_t)(-1) ) 
	    subtext = " " + file.GetFileName();

	cerr<<"\nFile Open failed for "
	    <<file.GetFileType()<<" file: "<<subtext<<endl;

	exit(-1);
    }
}

#endif
