//========================================================================
// aq_proc_readcmdline.c
//
// 
// 24 Jul 2001 Version 1.0
// 28 May 2002         1.1 - add <iostream>
//
// Purpose:
//	decode command line "keyword value" pairs and put in associative
//	array ( configuration_list )
//
//========================================================================


#include "aq_proc_readcmdline.h"
#include <iostream>


void ReadCmdLine( configuration_list& cmdLine, int argc, char *argv[] )
{
    if( argc - argc/2*2 == 0 )
    {   
        string lineText;
        for( size_t i=0; i<argc; i++) lineText += (string)argv[i] + ' ';

        cerr<<"\nBad Command Line:\n    "<<lineText<<endl;
        exit(-1);
    }

    for( size_t i=1; i<argc; i+=2) 
    {
        if( !cmdLine.setvalue(argv[i],argv[i+1]) )
        {
           cerr<<"\nBad Command Line Keyword: "<<argv[i]<<endl;
           exit(-1);
        }
    }
}


