#!/usr/bin/tclsh
#==============================================================================
# hdrlist- 
#
# 
# 17 Jan 2002 Version 1.0
#
# Assemble a list of Header files. files begining with "test*" are excluded
#
#==============================================================================

#------------------------------------------------------------------------------
# Directories to search for header files
#
#------------------------------------------------------------------------------
set  dirlist ". ./orbitlib ./mathlib ./timelib ./constlib"



puts "\n---hdrlist--- [exec date]"

#------------------------------------------------------------------------------
# findhdr -
# 	search for headr file in directory list 
#
#------------------------------------------------------------------------------
proc findhdr { dirlist hfile } {

    foreach dir $dirlist {
   
        set  sfile "$dir/$hfile"
 	
        if [file exists $sfile] {
	    return 1
        }
    }

    return 0
}


#-----------------------------------------------------------------------------
# loop for each source file in current directory
#
#-----------------------------------------------------------------------------
set filelist [glob -nocomplain "*.c"]
set msglist {}

foreach filename $filelist {

    if [string match test* $filename] continue

    set file [open $filename r]

    while { [gets $file line] >=0} {

	 scan $line "%s%s" key hfile

	 if {[string  match  #include  $key]}  {
	
	    if {[string compare [string index $hfile 0] \"] == 0}  {

		set hfile [string trim $hfile "\""]

		if  [findhdr $dirlist $hfile] {			
		    lappend msglist [list $filename $hfile]
		} 
	    }
        }
    }
    close $file
}


puts "\n---by source code---\n"

set msgsort1 [lsort -index 0 $msglist]
set last {}

foreach msgline $msgsort1 {
	
	set  this [lindex $msgline 0]

	if {$this != $last} {
		puts "\n$this \n\t [lindex $msgline 1]"
	} else {
		puts "\t [lindex $msgline 1]" 
	}

	set last $this
}


puts "\n---by header---\n"

   set msgsort1 [lsort -index 1 $msglist]
    set last {}

foreach msgline $msgsort1 {
	
	set  this [lindex $msgline 1]

	if {$this != $last} {
		puts "\n$this \n\t [lindex $msgline 0]"
	} else {
		puts "\t [lindex $msgline 0]" 
	}

	set last $this
}


puts "\n---hdrlist end---\n"







