//==============================================================================
// mathlib_proc_CrossProduct.c
//
// 17 Aug 2000 Version 1.0
//
// Compute the determinant of a square matrix.  
//
// See "Spacecraft Attitude Determination and Control", James Wertz, Appendix C. 
//
//==============================================================================

#include "mathlib_proc_CrossProduct.h"

matrix CrossProduct( const matrix& U, const matrix& V)
{
    matrix P(3);
   
    P(1) = U(2) * V(3) - U(3) * V(2);
    P(2) = U(3) * V(1) - U(1) * V(3);
    P(3) = U(1) * V(2) - U(2) * V(1);

    return P;
}
