//==============================================================================
// orbitlib_proc_GreenwichHourAngle.h - Apparent Greenwich Hour Angle of Equinox
//
// 05 Oct 1999  Version 1.0
//
// This model adapted from "Exact Closed-Form Geolocation Algorithm for Earth
// Survey Sensors", F.S. Patt, W. W. Gregg, Int. Journal of Remote Sensing, 1993.
// The model follows FORTRAN procedures (gha2000) as coded by F.S. Patt 
// for the NASA SeaWifs Project.
// 
// Also, see "The Astronomical Almanac for the Year 1998", section B, and
// "Astronomical Algorthims", Jean Meeus.
//
// This procedure takes a long double Julian Day and fraction, and returns the
// hour angle in radians.
//
//==============================================================================

#if !defined (ORBITLIB_PROC_GREENWICHHOURANGLE)
# define      ORBITLIB_PROC_GREENWICHHOURANGLE

double GreenwichHourAngle(double JD);

#endif
